NewWacht Bench is live — AI-assisted development for Wacht

Connect Actor Mcp Server

POST
/ai/actor-mcp-servers/{mcp_server_id}/connect

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

mcp_server_id*string

Query Parameters

actor_id*integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/ai/actor-mcp-servers/string/connect?actor_id=0"
{
  "auth_url": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}